package com.common.commonlibtest.viewpagerlayoutmanager.gallery;


import com.common.commonlib.view.viewpagerlayoutmanager.GalleryLayoutManager;
import com.common.commonlibtest.viewpagerlayoutmanager.BaseActivity;
import com.common.commonlibtest.viewpagerlayoutmanager.Util;

public class GalleryLayoutActivity extends BaseActivity<GalleryLayoutManager, GalleryPopUpWindow> {

    @Override
    protected GalleryLayoutManager createLayoutManager() {
        return new GalleryLayoutManager(this, Util.Dp2px(this, 10));
    }

    @Override
    protected GalleryPopUpWindow createSettingPopUpWindow() {
        return new GalleryPopUpWindow(this, getViewPagerLayoutManager(), getRecyclerView());
    }
}
